List your orders
curl --request GET \
--url https://signsealship.com/api/partner/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://signsealship.com/api/partner/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://signsealship.com/api/partner/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"orders": [
{
"orderCode": "<string>",
"status": "<string>",
"services": "Sign, Notarize, Ship",
"totalCents": 123,
"externalReference": "<string>",
"customerEmail": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "<string>"
}{
"error": "A valid partner API key is required."
}Endpoints
List your orders
List the orders created with your partner key, newest first. Rate limited with partner-write (60/min per key).
GET
/
api
/
partner
/
orders
List your orders
curl --request GET \
--url https://signsealship.com/api/partner/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://signsealship.com/api/partner/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://signsealship.com/api/partner/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"orders": [
{
"orderCode": "<string>",
"status": "<string>",
"services": "Sign, Notarize, Ship",
"totalCents": 123,
"externalReference": "<string>",
"customerEmail": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"requestId": "<string>"
}{
"error": "A valid partner API key is required."
}Authorizations
Partner API key. Send as Authorization: Bearer sss_pk_....
Query Parameters
Page size. Default 20, maximum 100.
Required range:
1 <= x <= 100Filter by order status name (e.g. QuoteReady, Paid, Completed).
Filter to orders created with this external_reference.